# pgRouting Manual (2.1.0)

## pgr_isColumnInTable

## Name

`pgr_isColumnInTable` — Check if a column is in the table.

Note

This function is intended for the developer’s aid.

Warning

This function is deprecated in 2.1 Use _pgr_isColumnInTable instead

## Synopsis

Returns `true` when the column “col” is in table “tab”.

    boolean pgr_isColumnInTable(text tab, text col);

## Description

tab: | `text` Table name with or without schema component.
col: | `text` Column name to be checked for.

Returns:

> - `true` when the column “col” is in table “tab”.
> - `false` when:

> > - The table “tab” is not found or
> > - Column “col” is not found in table “tab”

History

- New in version 2.0.0

## Examples

    SELECT pgr_isColumnInTable('edge_table','x1');

     pgr_iscolumnintable
    ---------------------
     t
    (1 row)

    SELECT pgr_isColumnInTable('public.edge_table','foo');

     pgr_iscolumnintable
    ---------------------
     f
    (1 row)

The example use the Sample Data network.

## See Also

- Developer’s Guide for the tree layout of the project.
- pgr_isColumnIndexed to check if the column is indexed.
- pgr_getColumnName to get the name of the column as is stored in the postgres administration tables.
- pgr_getTableName to get the name of the table as is stored in the postgres administration tables.